<?php

require_once($_SERVER['DOCUMENT_ROOT'] . '/sys/db.php');

foreach ($_POST as $paramName => $paramValue) {
  if ($paramName == "selid")
    $pwo_id = $paramValue;
}

$dal = new DAL();

$sql = "SELECT POB.id, POO.contribution AS role, " .
       "CASE WHEN " .
         "(LENGTH(surname) < 10 && LENGTH(firstname) < 10) " . 
           "THEN CONCAT(surname,', ',firstname) " . 
         "ELSE CONCAT(surname,', ',SUBSTRING(firstname,1,1)) " . 
       "END AS text " .
       "FROM contact CO, projectworkdayobserver POB, projectworkdayoperationobserver POO " .
       "WHERE POO.projectworkdayoperation_id = $pwo_id AND POB.id = POO.projectworkdayobserver_id " .
       "AND CO.id = POB.contact_id " .
       "ORDER BY text ";
$result = $dal->query($sql);

echo json_encode($result);

?>

